using Ardalis.Specification;
using BookHive.Models;

namespace BookHive.Specifications.Reviews;

public class GetReviewByBookIdSpec : Specification<Review>
{
    public GetReviewByBookIdSpec(int bookId)
    {
        Query
            .Include(x => x.Book)
            .Include(x => x.Member)
            .Where(x => x.BookId == bookId);
    }
}